# 🤝 Помощь в развитии проекта

Спасибо за интерес к проекту! Вот как можно внести вклад:

## 🚀 Как начать

1. Сделайте форк репозитория
2. Создайте новую ветку:
```
git checkout -b feature/ваша_фича
```
3. Внесите все необходимые изменения
4. Обязательно протестируйте код
5. Создайте Pull Request на `main` или `dev` (уточнить при необходимости)

## ✅ Что приветствуется

- Улучшение документации
- Сообщение об ошибках
- Новые фичи (в идеале - с предварительным обсуждением)
- Добавление новых тестов к существующей функциональности проекта

## 🧹 Стиль кода

- Соблюдайте форматирование и стиль (eslint/black/prettier)
- Старайтесь писать осмысленные коммиты:
```
feature: Добавлена поддержка X 
fix: устранена ошибка Y 
docs: обновлена документация
```

![image](../assets/pic_left.svg)

## 🌐 Хочу помочь с переводом

Мы стремимся сделать проект доступным для как можно большего числа людей. Если вы хотите помочь с переводом на другой язык — это очень приветствуется!

📄 Доступные переводы:
- en English (default)
- 🇷🇺 Русский
- 🌐 Ваш язык? Помогите нам добавить!

Чтобы начать, просто [создайте issue](https://github.com/Security-Experts-Community/ptnad-client/issues) и сообщите нам.

## 🛠 Пользуйтесь лучшими практиками

- Используйте стабильные версии зависимостей, указанные в `package.json`/`requirements.txt`/`pyproject.toml`
- Следуйте стилю кодирования, принятому в проекте (например, через `eslint`, `black`, `prettier`, etc.)
- Пишите читаемый и самодокументирующийся код
- Старайтесь покрывать привносимые функциональности тестами
- Перед созданием issue — проверьте, не существует ли уже подобной задачи
- Делайте feature-ветки и создавайте pull request с понятным описанием

# ✍️ Developer Certificate of Origin (DCO)

Спасибо за ваш вклад! Чтобы обеспечить прозрачность и чистоту проекта, мы используем [**Developer Certificate of Origin (DCO)**](DCO.md).